#
# spec file for package apparmor-profiles
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           apparmor-profiles
%if ! %{?distro:1}0
    %define distro suse
%endif
Summary:        AppArmor profiles that are loaded into the apparmor kernel module
Version:        2.0.1
Release:        20.24.14
Group:          Productivity/Security
Source0:        %{name}-2.0.1-308.tar.gz
Patch0:         %{name}-225615-312-AT_PLATFORM.patch
Patch1:         %{name}-240734-325-ldap.secret.patch
Patch2:         %{name}-oes.patch
Patch3:         %{name}-344376-nscd.patch
Patch4:         %{name}-425041-syslog-ng.patch
Patch5:         apparmor-2.0.1-edirectory-profile
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://forge.novell.com/modules/xfmod/project/?apparmor
Requires:       apparmor-parser
BuildArch:      noarch
Obsoletes:      subdomain-profiles
Provides:       subdomain-profiles
# hrm, still need to enumerate each directory in these paths in files :(
%define extras_dir %{_sysconfdir}/apparmor/profiles/extras/
%define profiles_dir %{_sysconfdir}/apparmor.d/

%description
Base profiles. AppArmor is a file and network mandatory access control
mechanism. AppArmor confines processes to the resources allowed by the
systems administrator and can constrain the scope of potential security
vulnerabilities.

This package is part of a suite of tools that used to be named
SubDomain.



Authors:
--------
    seth.arnold@suse.de
    sbeattie@suse.de

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} DISTRO=%{distro} \
	     EXTRASDIR=${RPM_BUILD_ROOT}/%{extras_dir}/

%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%attr(644, root, root) %config(noreplace) %{profiles_dir}/*
%attr(644, root, root) %config(noreplace) %{extras_dir}/*
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/abstractions/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/program-chunks/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor.d/tunables/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/profiles/
%dir %attr(-, root, root) %{_sysconfdir}/apparmor/profiles/extras/

%post

%preun

%changelog
* Mon Jan 31 2011 ro@suse.de
- rediff patches to remove fuzz
* Wed Dec  1 2010 jeffm@suse.de
- Added support for Novell eDirectory (bnc#621394)
* Fri Jul 17 2009 agruen@suse.de
- Allow syslog-ng to write to /dev/syslog (and read from
  /etc/hosts.{allow,deny}) (bnc#425041)
* Fri Jul 17 2009 agruen@suse.de
- Default apparmor profile for nscd should include rights to
  /var/log/nscd.log (bnc#344376)
* Mon Oct  6 2008 varkoly@suse.de
- AppArmor profile for NTP requires update for DSfW FRD environment
  (bnc#402693)
* Mon Sep 15 2008 varkoly@suse.de
- Add /opt/novell/xad/lib64/libnetapi.so.*
* Wed Jul 23 2008 varkoly@suse.de
- Add /etc/gai.conf to the usr.sbin.ntpd profile
* Mon Jul 21 2008 varkoly@suse.de
- Fix the last patch for 64bit.
* Thu Jul 17 2008 ro@suse.de
- AppArmor profile for NTP requires update for DSfW FRD environment
  (bnc#402693)
* Sat Feb  3 2007 srarnold@suse.de
- Bug 225615 - apparmor rejects glibc AT_PLATFORM directories
- Bug 240734 - Applications using nss_ldap need to have access to
  ldap.secret
* Sat Jan 20 2007 srarnold@suse.de
- Bug 178073 - AppArmor - postfix - smtp - directive smtp_generic_maps
- Bug 219580 - some programs require 'm' access to /etc/ld.so.cache
- Bug 219583 - rejecting w access for syslog-ng
- Bug 202095 - useradd / userdel profiles incomplete
- Bug 197186 - apparmor breaks openntpd
- Bug 221111 - ntpd needs access to /proc/net/if_inet6
- Bug 220331 - syslog-ng cannot log news messages
- Remove empty lines with spaces, trailing spaces
- Remove Px rules on ld.so; remove ld.so family of profiles
- New disabled profiles for clamav, passwd
- New enabled profile for syslog-ng
- Disable netstat profile
- Postfix
  TLS fixes
  SMTP write to rewrite pipe
  permissions=paranoid
- sshd new audit requirements
- ntpd
  /var/tmp and /tmp fixes
  Support W32Time authentication
- Support GSS-TSIG authentication in bind
* Sun Jun 18 2006 srarnold@suse.de
- Bug 182344 - AppArmor prevents postfix to comunicate with amavis
- Bug 183800 - AppArmor denies link in Maildir
* Sat Jun  3 2006 srarnold@suse.de
- Bug 179596 - slave zonen file is corrupt (SLES 10 &SL10.1)
  grant write access to /slave/* so that slave servers have some place
  to store zone transfers
* Wed May 31 2006 srarnold@suse.de
- Bug 175388 - Profile access allows essentially execute permission when
  only read access is granted via usage of mmap system call.
- Bug 172061 - LD_PRELOAD can be exploited to change the execution path
  across exec transitions
- Bug 175598 - AppArmor denies postfix chroot
- Bug 177433 - AppArmor missing profile for postfix/cleanup access to
  /var/spool/postfix/hold
- Bug 175626 - /var/lib/ntp/etc/ntp.conf.iburst missing from ntpd profile
- Remove /usr/sbin/in.identd profile from usr.sbin.identd
* Mon May  8 2006 srarnold@suse.de
- Bug 168035 - apparmor-profiles: lib.ld-2.2.so takes no care of x86_64
  /lib/ld-2.4 -- s390x, ppc, ppc64, too
- Bug 172670 - postfix doesn't deliver mails anymore after update from
  SLES9
* Wed May  3 2006 srarnold@suse.de
- Bug 167798 - misc profile modifications from darix
  - mlmmj, lighttpd, oidentd profiles in extras/
  - new postfix helpers
    (postfix profiles now in extras/)
  - broken postfix smtpd alternation expansion
  - factor abstractions/nameservice
  - new python, ruby, php5 abstractions
  - new web-data and svn-repositories data-centric abstractions
  - svn:keywords to do proper attribution
- Bug 170154 - squid dies when setting auth_param basic program
  /usr/sbin/pam_auth
  - also move squid to /etc/apparmor/profilex/extras
- Add some text to the extras/README describing how to turn postfix
  profiles on again, as an example
* Tue May  2 2006 srarnold@suse.de
- Bug 165191 - named can't write slave zones
- Bug 168581 - readaccess to /proc/meminfo not granted to nscd -- add
  sysconf(3) files to abstractions/base
- Bug 167798 - misc profile modifications from darix -- mlmmj, lighttpd,
  oidentd profiles in extras/, new postfix helpers in complain mode
  (enabled), split apart nameservice a little (non destructively), add new
  abstractions for python, ruby, and php5, add web-data and
  svn-repositories data-centric abstractions
* Sat Apr 29 2006 srarnold@suse.de
- Add a complain mode profile for postfix/pipe
* Sat Apr 29 2006 srarnold@suse.de
- README describing what is in /etc/apparmor/profiles/extras
- glibc 2.4 loaders
- Bug 165116 - Problem to resolve hostnames from LDAP-Database
- Bug 168581 - readaccess to /proc/meminfo not granted to nscd
- Bug 159667 - Postfix SASL authentication fails with "no mechanism available"
- mdnsd writes to console
* Fri Apr  7 2006 dreynolds@suse.de
- seth.arnold:
- Fix for base (ntpd) - #164150
- Fix for postfix.qmgr - #156446
* Wed Apr  5 2006 varkoly@suse.de
- Fix for posfix/smtpd postfix/smtp
- New file usr.lib.postfix.anvil
* Tue Apr  4 2006 srarnold@suse.de
- Fix for postfix/sasl (#159667)
- Fix for NIS/portmapper nameservice capabilities
* Mon Apr  3 2006 dreynolds@suse.de
- Fix for postalias (#158689)
- a profile update for svnserve
* Mon Mar 27 2006 jmichael@suse.de
- Allow named to write to /var/lib/named/dyn while chrooted in
  order to support dynamically updated zones - #157478
* Mon Mar 13 2006 srarnold@suse.de
- /usr/sbin/postfix /usr/sbin/sendmail ux, #156998
- /usr/lib/postfix/cleanup /etc/postfix/* r, #152706
* Mon Mar 13 2006 dreynolds@suse.de
- Fix for sendmail to add a px transtion to  usr.lib.postfix.smtpd
  (#156998)
* Thu Mar  9 2006 srarnold@suse.de
- new svnserve profile in extras (not enforcing), postfix ldap fixes #156091
- procmail now runs unconfined from postfix, sendmail
* Fri Mar  3 2006 srarnold@suse.de
- icon caches, fontconfig
- firefox fixes #154646
- Re-enable named, clarify tunables/home
* Mon Feb 13 2006 dreynolds@suse.de
- (seth.arnold@suse.de & sbeattie@suse.de)
- Re-enable sendmail, split apart traceroute
- Fix tunables/home to not emit multiple slashes
- Fix klogd per #143336
* Mon Feb  6 2006 sbeattie@suse.de
- (seth.arnold) /etc/apparmor.d/tunables/home
- (seth.arnold) slight re-org, some more use of variables
* Sun Jan 29 2006 sbeattie@suse.de
- Add svn repo number to tarball name
- Rename /etc/subdomain.d/ to /etc/apparmor.d/
- Add /lib/power5+/ to base for ppc (#146135)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 dreynolds@suse.de
-   Removal of profiles referencing /home/.
* Fri Dec  9 2005 sbeattie@suse.de
- dreynolds: remove unused netdomain rules
- srarnold: allow read access to policy subdirs
* Thu Dec  8 2005 sbeattie@suse.de
- rename subdomain-profiles to apparmor-profiles
- Relicense package to GPL
- reset version to 2.0-1
- profile updates
